MANDB(8)

NOMBRE
mandb - crea o actualiza las cachés de índicies de páginas de manual

SINOPSIS
mandb [-dqsucpt?V] [-C fichero] [manpath]
mandb [-dqsut] [-C fichero] -f nombrefichero ...

DESCRIPCIÓN
mandb se utiliza para inicializar o actualizar manualmente las cachés de base de datos de índices. Las cachés contienen información relacionada con el estado actual del sistema de páginas de manual y con la información almacenada en ellas la utilizan las utilidades de man-db para mejorar su velocidad y funcionalidad. Cuando se crea o actualiza un índice, mandb advierte de peticiones .so ROFF incorrectas, nombres falsos de ficheros de páginas de manual y páginas de manual desde las que whatis no puede analizar. Suministrar a mandb una ruta opcional delimitada por dos puntos anula la ruta de búsqueda de jerarquías de páginas de manual del sistema interna, determinada a partir de la información encontrada en el fichero de configuración de man-db.

CACHÉS DE BASE DE DATOS
mandb puede compilarse para admitir cualquiera de los siguientes tipos de base de datos.
Nombre | Tipo | Asíncrono | Nombre del fichero
Berkeley db | Árbol binario | Sí | index.bt
GNU gdbm | Firmado Hash | Sí | index.db
UNIX ndbm | Firmado Hash | No | index.(dir|pág)
Los tipos de base de datos que admiten actualizaciones asíncronas ofrecen velocidad mejorada al precio de posible corrupción en caso de finalizaciones no usuales. En un caso inusual donde haya ocurrido esto, puede ser necesario reejecutar %nandb% con la opción -c para recrear las bases de datos de cero.

OPCIONES

-d, --debug
    Escribe información de depuración.

-q, --quiet
    No genera ninguna advertencia.

-s, --no-straycats
    No pierde tiempo buscando o añadiendo información a las bases de datos en relación con ficheros cat extraviados.

-p, --no-purge
    No pierde tiempo comprobando páginas de manual borradas y purgándolas desde las bases de datos.

-c, --create
    Por defecto, mandb intenta actualizar cualquier base de datos anteriormente creada. Si una base de datos no existe, la crea. Esta opción obliga a mandb a borrar bases de datos anteriores y re-crearlas desde cero, e implica --no-purge.. Esto puede ser necesario si una base de datos se corrompe o si un nuevo esquema de almacenamiento de base de datos se introduce en el futuro.

-u, --user-db
    Crea solamente bases de datos de usuario, incluso con los permisos de escritura necesarios para crear bases de datos del sistema.

-t, --test
    Realiza comprobaciones de corrección en páginas de manual dentro de la ruta de búsqueda de la jerarquía. Con esta opción, mandb no altera las bases de datos existentes.

-f, --filename
    Actualiza solo las entradas para el nombre de fichero dado. Esta opción no es para uso general; la utiliza man internamente cuando se ha compilado con la opción MAN_DB_UPDATES y descubre que una página está desactualizada. Implica -p y desactiva -c y -s.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario en lugar del predeterminado según ~/.manpath.

-?, --help
    Muestra el mensaje de modo de empleo; después finaliza.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Muestra la versión; después finaliza.

ESTADO DE SALIDA

0   Ejecución del programa correcta.

1   Error en el modo de empleo, de sintaxis o en el fichero de configuración.

2   Error operacional.

3   Falló un subproceso.

DIAGNÓSTICO
Los siguientes mensajes de advertencia pueden ser emitidon durante la construcción de base de datos.

<nombre de fichero>: fallo de whatis al analizar página(sec)
    El intento de extraer línea(s) de whatis desde el <nombre de fichero> indicado ha fallado. Suele ser debido a una página de manual pobremente escrita, pero si se emiten muchos mensajes como este, es probable que el sistema contenga páginas de manual no estándar que no son compatibles con el analizador de whatis de man-db. Véase la sección ANÁLISIS WHATIS en lexgrog(1) para más información.

<nombre de fichero>: es un enlace simbólico
    <nombre de fichero> no existe pero está referenciado por un enlace simbólico. Suelen emitirse más diagnósticos para identificar el <nombre de fichero> del enlace que está mal.

<nombre de fichero>: enlace simbólico o solicitud ROFF `.so' incorrectos
    <nombre de fichero> es un enlace simbólico, o contiene una solicitud de inclusión ROFF, a un fichero que no existe.

<nombre fichero>: se hace caso omiso del nombre de fichero falso
    El <nombre de fichero> puede o no ser una página de manual válida pero su nombre no es válido. Esto suele deberse a una página de manual con extensión seccional <x> que está puesta en la sección de la página de manual <y>.

<máscara_nombrefichero>: extensiones compitiendo
    El comodín <máscara_nombrefichero> no es único. Esto normalmente es a causa de la existencia tanto de una versión comprimida como de una no comprimida de la misma página de manual. Se hace caso omiso de todas excepto de la más reciente.

FICHEROS

/etc/man_db.conf
    fichero de configuración de man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Una caché de BD indexado compatible con FHS.

Se incluyen ubicaciones más antiguas de la caché de la base de datos:

/usr/man/index.(bt|db|dir|pag)
    Una caché de BD indexada global tradicional.

/var/catman/index.(bt|db|dir|pag)
    Un caché de base de datos de índices global alternativa o compatible FSSTND.

VÉASE TAMBIÉN
lexgrog(1), man(1), manpath(5), catman(8)

La sección ANÁLISIS anteriormente en esta página de manual ahora es parte de lexgrog(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).